Get all fact-find templates Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by name or display name. Partial filter.
-
Filter by published status.
-
Filter archived templates. One of: exclude (default), only, include.
-
Filter templates created on or after this date (Y-m-d).
-
Filter templates created on or before this date (Y-m-d).
-
Field to sort by. Valid fields are [created_at, updated_at, name, active_sessions_count]. Negative sign to denote DESC. Defaults to '-created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v2/fact-find/templates
curl \
--request GET 'https://api.plannrcrm.com/api/v2/fact-find/templates' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "68551012-0ad6-4034-b961-89fbc9b6453b",
"created_at": "2026-10-10T13:35:31+01:00",
"updated_at": "2026-10-10T13:35:31+01:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-10-09T13:35:31+01:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "0a69638d-fcb4-4ee9-a95c-47e4c7e4957a",
"created_at": "2026-10-10T13:35:31+01:00",
"updated_at": "2026-10-10T13:35:31+01:00",
"fact_find_template": {
"uuid": "49ba0202-fd95-45b0-a102-fdc43e7badfe",
"created_at": "2026-10-10T13:35:36+01:00",
"updated_at": "2026-10-10T13:35:36+01:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-10-09T13:35:36+01:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "449654be-da84-4e39-a8d6-4fe1e562d710",
"created_at": "2026-10-10T13:35:36+01:00",
"updated_at": "2026-10-10T13:35:36+01:00",
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
}
}
]
}